/**
* @file      main.js
* @author    Ken Grimes
* @license   AGPL-3.0
* @copyright 2018 - Ken Grimes
* @summmary  Script for populating text to summary box on svg:hover
*/
'use strict'
window.onload = () => {
  const header = document.body.getElementsByTagName('header').item(0)
  const nav = document.body.getElementsByTagName('nav').item(0)
  const main = document.body.getElementsByTagName('main').item(0)
  const navAnchors = Array.from(nav.getElementsByTagName('div').item(0).getElementsByTagName('a'))
  const pageDisplay = nav.getElementsByTagName('footer').item(0)
  const currentPageName = `${pageDisplay.innerHTML}`
  const updateNav = () => navAnchors.forEach((a) => {
    const summary = a.getElementsByTagName('summary').item(0).innerHTML
    const svg = a.getElementsByTagName('svg').item(0)
    a.addEventListener('mouseover', () => pageDisplay.innerHTML = summary)
    a.addEventListener('mousedown', () => pageDisplay.innerHTML = summary)
    a.addEventListener('mouseout', () => pageDisplay.innerHTML = currentPageName)
  })
  updateNav()

  let oldScrollY = window.scrollY
  const _downDelay = 32
  let downDelay = _downDelay
  const  _upDelay = 16
  let upDelay = 0
  nav.style.top = '0px'
  let top = 0
  const navUpdate = () => {
    if (window.matchMedia("(orientation: portrait)").matches) {
      if (window.scrollY < oldScrollY) /* up */ {
        if (top === 0)
          downDelay = _downDelay
        else if (upDelay-- <= 0) {
          top = Math.min(top + (oldScrollY - window.scrollY), 0)
          nav.style.top = top + 'px'
        }
      }
      else if (window.scrollY > oldScrollY) /* down */{
        if (downDelay-- <= 0) {
          top = Math.max(top - (window.scrollY - oldScrollY), -nav.offsetHeight)
          nav.style.top = top + 'px'
        }
        upDelay = _upDelay
      }
      window.requestAnimationFrame(navUpdate)
    }
    else {
      if (top != 0) {
        top = 0
        nav.style.top = '0px'
        upDelay = _upDelay
        downDelay = _downDelay
      }
      setTimeout(navUpdate, 1000)
    }
    oldScrollY = window.scrollY
  }
  navUpdate();
}
  
const resizeIFrame = (iframe) => {
  iframe.style.height = 0
  iframe.style.height = (iframe.contentWindow.document.body.scrollHeight * 1.2) + 'px';
}
